<template>
  <v-text-field
    v-model="inputVal"
    append-icon="mdi-magnify"
    :label="searchText"
    single-line
    hide-details
    solo
    flat
    class="searchBox"
  />
</template>

<script>
export default {
  name: 'SearchBox',
  props: {
    'searchText': {
      default: '',
      type: String,
    },
    'value': {
      default: null,
      type: String,
    },
  },
  computed: {
    inputVal: {
      get() {
        return this.value;
      },
      set(val) {
        this.$emit('input', val);
      },
    },
  },
};
</script>

<style scoped>

</style>
